/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright 2016-2017 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

#ifndef _EMWIN_SUPPORT_H_
#define _EMWIN_SUPPORT_H_

#define DISPLAY_DRIVER GUIDRV_LIN_OXY_32
#define COLOR_CONVERSION GUICC_M8888I

#define GUI_SCALE_FACTOR 1
#define GUI_SCALE_FACTOR_X 1
#define GUI_SCALE_FACTOR_Y 1

#define GUI_NORMAL_FONT (&GUI_Font24_ASCII)
#define GUI_LARGE_FONT (&GUI_Font32B_ASCII)

#define GUI_BUFFERS 2
#define GUI_NUMBYTES 80000U

#define LCD_BYTES_PER_PIXEL 4

#define VRAM_SIZE (ELCDIF_1_PANEL_HEIGHT * ELCDIF_1_PANEL_WIDTH * LCD_BYTES_PER_PIXEL)

#endif
